<?
include 'inclydings/gzips.php';
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("inclydings/ini.php");
include_once("inclydings/zag.php");
include_once("inclydings/sesi.php");
if (isset($user)) {
echo'<div class="menu6">';

switch($_GET[mod]){
default:


$req = mysql_query("SELECT * FROM `table_status` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"У вас нет статуса!<br>Вы можете создать статус!<hr/>";
echo" <a href=\"mystatus.php?$sd&mod=yes\">Создать статус</a><br/>";
}

$req = mysql_query("SELECT * FROM `table_status` WHERE `usr` = '$log'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{


echo"<b>Статус персонажа:</b>"; echo"<b> $log</b>";


echo"<hr/><b>Статус:</b> $mag[Imya]<hr/>";
}
$req = mysql_query("SELECT * FROM `table_status` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
echo" <a href=\"mystatus.php?$sd&mod=izmin\">Изменить статус</a><br/>";

}

break;

case 'izmin':

mysql_query("DELETE FROM `table_status` WHERE usr='$log'");//чистим анкету

if(empty($_POST[name])){
echo "<form action=\"mystatus.php?$sd&mod=yes\" method=\"post\">";
echo"Cтатус: <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"name\" maxlength=\"50\"/><br/>";
echo '<input class="button" type="submit" value="сохранить" /></form>';
}else{

mysql_query("INSERT INTO
        `table_status` SET
        `usr` = '$log'");

$name=htmlspecialchars($_POST[name]);

mysql_query("UPDATE `table_status` SET `Imya` = '$name' WHERE `usr` = '$log'");
echo"Вы успешно создали статус!<br/>";
}

break;

case 'yes':

{
$req = mysql_query("SELECT * FROM `table_status` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==1){echo"У вас уже установлен статус вы хотите сменить статус?<hr/> <a href=\"mystatus.php?$sd&mod=izmin\">Изменить статус</a><br/>";
include_once"inclydings/down.php";
exit;
}}

if(empty($_POST[name])){
echo "<form action=\"mystatus.php?$sd&mod=yes\" method=\"post\">";
echo"Cтатус: <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"name\" maxlength=\"50\"/><br/>";
echo '<input class="button" type="submit" value="сохранить" /></form>';
}else{

mysql_query("INSERT INTO
        `table_status` SET
        `usr` = '$log'");

$name=htmlspecialchars($_POST[name]);

mysql_query("UPDATE `table_status` SET `Imya` = '$name' WHERE `usr` = '$log'");
echo"Статус создан!<br/>";
}


}
}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}

include_once"inclydings/down.php";
?>